package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItembuygiftRemoveitemItemBuyGiftSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftRemoveitemRequest) SetParam0(v domain.AlibabaWdkMarketingItembuygiftRemoveitemItemBuyGiftSku) *AlibabaWdkMarketingItembuygiftRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftRemoveitemRequest) SetParam1(v domain.AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam) *AlibabaWdkMarketingItembuygiftRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
